PDA

View Full Version : 3.5 LucasArts Games?


Cliche
09-08-2008, 09:01 PM
I have some older LucasArts games on 3.5 disc which my current computer isn't able to play. (Last Crusade, Sam & Max, the original Monkey Island).
If I was to get a 3.5 driver, could I expect these games to still run? I now have Windows XP and I believe these were made for earlier versions. Along the same lines, would it be possible to burn a 3.5 game to a current CD-Rom disc and have it work? Thanks in advance!

Boba Rhett
09-08-2008, 09:37 PM
You need to check out ScummVM (http://www.scummvm.org/). It will allow you to play those games on a newer pc. I imagine you can pull all the files off of the floppy discs and throw them on a cd too.

Cliche
09-11-2008, 05:25 PM
Thanks for the link to ScummVM. Guess I still need to get a 3.5 drive, but ScummVM looks to have many downloads for whatever troubles I may run into as far as compatability.

Boba Rhett
09-11-2008, 10:28 PM
Oh yeah, it's a huge deal. :)

Jeff
09-11-2008, 10:33 PM
Yeah, Scumm VM is great. I put it on my DS and I've been loving it.

Boba Rhett
09-11-2008, 10:46 PM
You will pm me with details as to what I need to do this. Naow. :carms:

Sabretooth
09-21-2008, 11:35 AM
ScummVM is crazy. I hear it's on mobile phones and whatnot these days. That is some kickass community programming right there.

And yet, I've somehow never needed it. All of LucasArts games have worked perfectly fine on my XP. I didn't even need DosBox, which I had to use for plenty other DOS games.

DOS games are awesome. \m/